Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class DesktopDefinitionId

    java.lang.Object
      com.bea.netuix.application.identifier.DesktopDefinitionId

All Implemented Interfaces
  TemplateId, Serializable

    public class DesktopDefinitionId

extends Object
implements TemplateId, Serializable

The DesktopDefinitionId is the webapp name, portal path, and desktop path together that uniquely identifies a portal desktop. They are used in the url of a customized portal desktop.

An example of what the `DesktopDefinitionId` is can be derived from the example url below.

http://host:port/webappName/appmanager/portalPath/desktopPath

The `DesktopDefinitionId` is the aggregation of the webappName, portalPath, and desktopPath from the url above.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.netuix.application.identifier.TemplateId
`NO_ID`

Constructor Summary
`DesktopDefinitionId(String webAppName, PortalPath portalPath, DesktopPath desktopPath)`

Method Summary
`protected Object` | `clone()`
`static DesktopDefinitionId` | `clone(DesktopDefinitionId desktopDefinitionId)`
`static DesktopDefinitionId` | `createDesktopDefinitionId(String webAppName, String portalPathStr, String desktopPathStr)`
`boolean` | `equals(Object o)`
`DesktopPath` | `getDesktopPath()`
`int` | `getId()` Returns the unique identifier for this template
`PortalPath` | `getPortalPath()`
`String` | `getWebAppName()`
`int` | `hashCode()`
`void` | `setDesktopPath(DesktopPath desktopPath)`
`void` | `setPortalPath(PortalPath portalPath)`
`void` | `setWebAppName(String webAppName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopDefinitionId

    public DesktopDefinitionId(String webAppName,
                               PortalPath portalPath,
                               DesktopPath desktopPath)

Parameters
  `webAppName` - the name of the webapp where this desktop will reside.
  `portalPath` - the part of the url that identifies this portal.
  `desktopPath` - the part of the url that identifies this desktop.

Method Detail

### getWebAppName

    public String getWebAppName()

  Returns
    the webapp name where the desktop resides.

### setWebAppName

    public void setWebAppName(String webAppName)

  Parameters
    `webAppName` - the webapp name where the desktop resides.

### getPortalPath

    public PortalPath getPortalPath()

  Returns
    the `PortalPath` that is basically a string representing a part of the url for the customized portal desktop.

### setPortalPath

    public void setPortalPath(PortalPath portalPath)

  Parameters
    `portalPath` - an object representing a part of the url for the customized portal desktop.

### getDesktopPath

    public DesktopPath getDesktopPath()

  Returns
    the `DesktopPath` that is basically a string representing a part of the url for the customized portal desktop.

### setDesktopPath

    public void setDesktopPath(DesktopPath desktopPath)

  Parameters
    `desktopPath` - an object representing a part of the url for the customized portal desktop.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`
  Parameters
    `o` - a `DesktopDefinitionId` object to compare to this `DesktopDefinitionId`.
  Returns
    `true` if this `DesktopDefinitionId` is the same as the `DesktopDefinitionId` object passed in; `false` otherwise.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  Returns
    a hash code value for this object.

### createDesktopDefinitionId

    public static DesktopDefinitionId createDesktopDefinitionId(String webAppName,
                                                                String portalPathStr,
                                                                String desktopPathStr)

  Parameters
    `webAppName` - the name of the webapp where this desktop will reside.
    `portalPathStr` - the part of the url that identifies this portal.
    `desktopPathStr` - the part of the url that identifies this desktop.
  Returns
    a new `DesktopDefinitionId` with the webapp name, portal path, and desktop path set to the values passed in.

### clone

    public static DesktopDefinitionId clone(DesktopDefinitionId desktopDefinitionId)

  Parameters
    `desktopDefinitionId` - the `DesktopDefinitionId` to clone.
  Returns
    a new `DesktopDefinitionId` with the exact same parameters as the `DesktopDefinitionId` passed in.

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`
  Returns
    a new `DesktopDefinitionId` with the exact same parameters as this `DesktopDefinitionId`.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns
    the name of the webapp with the `PortalPath` and `DesktopPath` appended.

### getId

    public int getId()

  Description copied from interface: `TemplateId`
  Returns the unique identifier for this template

  Specified by:
    `getId` in interface `TemplateId`
  Returns
    id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.